 *---------------------------------------------------------------------------------------.
*Name: KINDL-Diabetes selfreport 12-16_Studie CSII.
*Analyses: 1 Skale of Diabetes Module by U Ravens-Sieberer und EEW
*Function: Prepare 1 scales for 21 items.
*Syntax is prepared for not recoded data-sets.
*Score will be calculated when at least 16 items are answered.
*Date of last change: 8.3.2007 (EMG).
***** Umpolung der Rohwerte
*---------------------------------------------------------------------------------------*

RECODE  j_0kindl1 j_0kindl2 j_0kindl3 j_0kindl4 j_0kindl5 j_0kindl6  j_0kindl7
  j_0kindl8 j_0kindl9 j_0kindl10 j_0kindl11 j_0kindl12  j_0kindl13 j_0kindl14
  j_0kindl15 j_0kindl16 j_0kindl17 j_0kindl18  j_0kindl19 j_0kindl20 j_0kindl21
(999 = SYSMIS).
EXECUTE.

RECODE   j_1kindl1 j_1kindl2 j_1kindl3 j_1kindl4 j_1kindl5 j_1kindl6  j_1kindl7
  j_1kindl8 j_1kindl9 j_1kindl10 j_1kindl11 j_1kindl12  j_1kindl13 j_1kindl14
  j_1kindl15 j_1kindl16 j_1kindl17 j_1kindl18  j_1kindl19 j_1kindl20 j_1kindl21
(999 = SYSMIS).
EXECUTE.

compute j_dkin10  = (j_0kindl1 - 6) * - 1.
compute j_dkin20  = (j_0kindl2 - 6) * - 1.
compute j_dkin30  = (j_0kindl3 - 6) * - 1.
compute j_dkin40  = (j_0kindl4 - 6) * - 1.
compute j_dkin50  = (j_0kindl5 - 6) * - 1.
compute j_dkin60  = (j_0kindl6 - 6) * - 1.
compute j_dkin70  = (j_0kindl7 - 6) * - 1.
compute j_dkin80  = (j_0kindl8 - 6) * - 1.
compute j_dkin90  = (j_0kindl9 - 6) * -1.
compute j_dkin100  = (j_0kindl10 - 6) * - 1.
compute j_dkin110 = (j_0kindl11 - 6) * - 1.
compute j_dkin120 = (j_0kindl12 - 6) * - 1.
compute j_dkin130  = (j_0kindl13 - 6) * - 1.
compute j_dkin140  = (j_0kindl14 - 6) * - 1.
compute j_dkin150  = (j_0kindl15 - 6) * - 1.
compute j_dkin160  = (j_0kindl16 - 6) * - 1.
compute j_dkin170  = (j_0kindl17 - 6) *- 1.
compute j_dkin180  = (j_0kindl18 - 6) * - 1.
compute j_dkin190  = (j_0kindl19) * 1.
compute j_dkin200  = (j_0kindl20) * 1.
compute j_dkin210  = (j_0kindl21 - 6) * -1.
execute.


compute j_dkin11  = (j_1kindl1 - 6) * - 1.
compute j_dkin21  = (j_1kindl2 - 6) * - 1.
compute j_dkin31  = (j_1kindl3 - 6) * - 1.
compute j_dkin41  = (j_1kindl4 - 6) * - 1.
compute j_dkin51  = (j_1kindl5 - 6) * - 1.
compute j_dkin61  = (j_1kindl6 - 6) * - 1.
compute j_dkin71  = (j_1kindl7- 6) * - 1.
compute j_dkin81  = (j_1kindl8 - 6) * - 1.
compute j_dkin91  = (j_1kindl9 - 6) * -1.
compute j_dkin101  = (j_1kindl10 - 6) * - 1.
compute j_dkin111 = (j_1kindl11 - 6) * - 1.
compute j_dkin121 = (j_1kindl12 - 6) * -1.
compute j_dkin131  = (j_1kindl13 - 6) * - 1.
compute j_dkin141  = (j_1kindl14 - 6) * - 1.
compute j_dkin151  = (j_1kindl15 - 6) * - 1.
compute j_dkin161  = (j_1kindl16 - 6) * - 1.
compute j_dkin171  = (j_1kindl17- 6) *- 1.
compute j_dkin181  = (j_1kindl18 - 6) * - 1.
compute j_dkin191  = (j_1kindl19) * 1.
compute j_dkin201  = (j_1kindl20) * 1.
compute j_dkin211  = (j_1kindl21 - 6) * -1.
execute.

******* Berechnung Summenscore Score Diabetes QOL t0

compute 
j_st_diab0 =mean.16(j_dkin10,j_dkin20,j_dkin30,j_dkin40,j_dkin50,j_dkin60,j_dkin70,j_dkin80,j_dkin90,j_dkin100,j_dkin110,j_dkin120,j_dkin130, j_dkin140,
j_dkin150,j_dkin160,j_dkin170,j_dkin180,j_dkin190,j_dkin200,j_dkin210).

compute 
j_diab0 =j_st_diab0*21.
execute.

Compute
j_diab0100 = ((j_diab0-21)/84)*100.
execute.




Variable labels
             j_diab0 'KINDL 8-16 Diabetes QOL Summe t0'
             j_st_diab0   'KINDL 8-16 Diabetes mean t0'
	            j_diab0100 'KINDL 8-16 Diabetes QOL 100 t0'.
execute.

